Name:           perl-enum
Version:        1.12
Release:    1%{?dist}
Summary:        C-style enumerated types and bitmask flags in Perl
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/enum

Source0:        https://cpan.metacpan.org/authors/id/N/NE/NEILB/enum-%{version}.tar.gz
BuildArch:      noarch

BuildRequires: make
BuildRequires:  perl-interpreter
BuildRequires:  perl-generators
BuildRequires:  perl(ExtUtils::MakeMaker)

BuildRequires:  perl(strict)
BuildRequires:  perl(vars)

BuildRequires:  perl(Carp)
BuildRequires:  perl(warnings)
BuildRequires:  perl(Test::More)


%description
This module is used to define a set of constants with ordered numeric
values, similar to the enum type in the C programming language.
You can also define bitmask constants, where the value assigned to
each constant has exactly one bit set (e.g. 1, 2, 4, 8, etc).


%prep
%setup -q -n enum-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*

%check
make test

%files
%doc README Changes
%{perl_vendorlib}/*
%{_mandir}/man3/*


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.12-1
- initial build
